	/*
	Include CSS in HTML
	- Inline Styling
	- Internal Styling - uses style tag
	- External Styling - (recommended) uses separate css file and does not use style tag
	*/

/*CSS Selectors*/
/*Universal Selector (*)- Target all elements.*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/* Types Selector - targets elemets with the specified type/tag name */
h1	{
	color: yellow !important;
		/*!important property override CSS Styling*/
}

h2	{

}
/*ID Selector (#id) - targets elements according to its id attribute; ideally
used for targetting a unique element*/

#zuitt-motto {
	letter-spacing: 5px;
}

/*Class Selector (.class-name) - Targets elements according to its class attribute;
ideally used for multiple elements at once.*/

.offering-item {
	text-transform: uppercase;
}

/*Attribute Selector (tagname[attribute]) - target elements with a specified element attribute;
used to target elements with a certain attribute*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
}

/*Adjacent Sibling Selector*/
h3 + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant selector*/
#bootcamp-learning-list li{
	color: #32a852;
}

/*CSS Selector Combinators*/

/*Descendant Selector (White Space) - Matches all elements that are 
descendants of a specified elements.*/

/*div p {
	background-color: red;
}
*/

/*#parent p {
	background-color: red;*/


/*Child Selector (>)*/
/*select all element that are direct children of a specified element*/

/*div > p {
	background-color: red;
}*/

/*#parent > p {
	background-color: red;
}*/

/*General Sibling Selector (~)*/
/*select all elements that are next siblings of a specified element*/
/*p ~ p {
	background-color: red;
}*/

/*p ~ section {
	background-color: red;
}*/

/*Adjacent Sibling Selector (+) - select ana element that is directly
after another specific element*/

/*p + p{
	background-color: red;
}*/

/*div + p{
	background-color: red;
}*/

/*General Sibling Selector*/
h2 ~ a{
	text-decoration: none;
}

